v2.0
post
/ec-site-svc/rest/v2.0/studies/{studyId}/{mode}/labs/siteslabs
Compared with v1, this version creates lab-to-study-site associations using explicit site and lab identifier lists.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
studyId(required): string(uuid)
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : SiteLabsAssociationRequest v2.0
Type:
objectTitle:
SiteLabsAssociationRequest v2.0Payload containing site and lab identifiers for association.
Show Source
-
labs(required): array
Labs
Title:
LabsLab identifiers to associate with the sites. -
sites(required): array
Sites
Title:
SitesStudy site identifiers to associate.
Nested Schema : Labs
Type:
arrayTitle:
LabsLab identifiers to associate with the sites.
Show Source
Example:
B1B8327AFAA6412287106192AB5984EFNested Schema : Sites
Type:
arrayTitle:
SitesStudy site identifiers to associate.
Show Source
Example:
B1B8327AFAA6412287106192AB5984EFExamples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SiteLabsAssociationResponse v2.0
Type:
objectTitle:
SiteLabsAssociationResponse v2.0Response containing the site and lab identifiers after association.
Show Source
-
labs(required): array
Labs
Title:
LabsLab identifiers returned in the response. -
sites(required): array
Sites
Title:
SitesStudy site identifiers returned in the response.
Nested Schema : Labs
Type:
arrayTitle:
LabsLab identifiers returned in the response.
Show Source
Example:
B1B8327AFAA6412287106192AB5984EFNested Schema : Sites
Type:
arrayTitle:
SitesStudy site identifiers returned in the response.
Show Source
Example:
B1B8327AFAA6412287106192AB5984EFExamples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples